      subroutine ren_act(tipo,noa)
      character(18),dimension(noa) :: tipo
      character(80),dimension(16) :: ac1
      integer,dimension(16) :: iac1
      logical yw
      yw=.false.
      nac=0
      ac1=' '
      do k=1,noa
         if(tipo(k)(1:1)/='A') cycle
         nac=nac+1
         iac1(nac)=k
         ac1(nac)(1:18)=tipo(k)
      enddo
      do k=1,nac
         if(yw)print*,'avant',ac1(k)
      enddo
      do k=1,nac
         do l=1,k-1
            if(ac1(k)==ac1(l)) call incr_name2(ac1(k),0)
         enddo
      enddo
      do k=1,nac
         if(yw)print*,'apres',ac1(k)
         tipo(iac1(k))=ac1(k)
      enddo
      return
      end
